%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: ovs-python-uuid
Version: 1.2.6
Release: 7%{dist}
Summary: UUID module from the Python 2.6.5 release
Group: Development/Libraries
License: PSF
URL: http://python.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

Patch1: dummy.patch
Patch2: add-license-file.patch
# End Oracle Patches

%description
This module provides immutable UUID objects (class UUID) and the functions
uuid1(), uuid3(), uuid4(), uuid5() for generating version 1, 3, 4, and 5
UUIDs as specified in RFC 4122.

%prep
%setup -q
%patch1 -p0
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -D uuid.py %{buildroot}/%{python_sitelib}/uuid.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/uuid.py*

%changelog
* Thu Sep 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.2.6-7 
- add license file [bug 12737215] 

* Tue Jul 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.2.6-6 
- update changelog
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> [bug 12737233] 

* Mon Jul 11 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.6-5
- build for ovs
